apiVersion: v1
data:
  prometheus.yml: |
    global:
     scrape_interval:     10s
     evaluation_interval: 10s
    scrape_configs:
    - job_name: prometheus
      scrape_interval: 15s
      scrape_timeout: 10s
      metrics_path: /metrics
      scheme: http
      static_configs:
      - targets:
        - localhost:9090
    - job_name: pg-node-exporter
      scrape_interval: 15s
      scrape_timeout: 10s
      metrics_path: /metrics
      scheme: http
      static_configs:
      - targets:
        - 139.59.82.153:9100      
    remote_write:
     - url: "http://prometheus-postgresql-adapter:9201/write"
    remote_read:
     - url: "http://prometheus-postgresql-adapter:9201/read"
kind: ConfigMap
metadata:
  name: prom-config